//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_BUFFER_H
#define ESC_BUFFER_H

#include <stdint.h>
#include <stddef.h>

struct st_buffer {
    size_t   size;
    uint8_t* data;
};
typedef struct st_buffer buffer_t;

const buffer_t buffer_create(size_t size);
const buffer_t buffer_from(uint8_t* data, size_t size);
const buffer_t buffer_copy(const buffer_t* other);
void buffer_free(buffer_t buffer);

#endif //ESC_BUFFER_H
