//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_UUID_H
#define ESC_UUID_H

#include <stdint.h>

struct st_uuid {
    uint8_t data[16];
};
typedef struct st_uuid esc_uuid_t;

const esc_uuid_t* esc_uuid_create();
void esc_uuid_free(const esc_uuid_t* uuid);
const esc_uuid_t* esc_uuid_from(uint8_t* src, size_t size);
const esc_uuid_t* esc_uuid_copy(const esc_uuid_t* other);
int esc_uuid_compare(const esc_uuid_t* left, const esc_uuid_t* right);
const char* esc_uuid_format(const esc_uuid_t* uuid, char* buffer, size_t buf_size);

#endif //ESC_UUID_H
