//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_MUTEX_H
#define ESC_MUTEX_H

#ifdef _WIN32
#include <windows.h>
typedef LPCRITICAL_SECTION mutex_t;
#endif
#ifdef __linux__
#include <pthread.h>
typedef pthread_mutex_t* mutex_t;
#endif

mutex_t mutex_create();
void mutex_lock(mutex_t mutex);
void mutex_unlock(mutex_t mutex);
void mutex_destroy(mutex_t mutex);

#endif //ESC_MUTEX_H
